%define name		keyboard-led_applet
%define version		0.9
%define release		1
%define	prefix		/usr
%define sysconfdir	/etc
%define	localstatedir	/var/lib

Summary:	A keyboard led-state applet for the GNOME panel.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.distsys.net/austvold/keyledapplet/%{name}-%{version}.tar.gz
URL:		http://www.distsys.net/austvold/keyledapplet/
Copyright:	GPL
Group:		User Interface/Desktops
BuildRoot:	/var/tmp/%{name}-%{version}-root
Packager:	Orjan Nygaard Austvold <austvold@acm.org>

%description
A GNOME panel applet that displays the keyboard led status. Useful on
systems without keyboard leds (e.g., Logitechs coordless keyboards).
After installation you can run the applet by right-clicking on a
panel and choose applets->monitors->keyboard led.

%prep
%setup
CFLAGS="-pipe $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir}	\
	--localstatedir=%{localstatedir}
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/applets/*
%{prefix}/share/pixmaps/*
%{prefix}/share/locale/*
%{prefix}/share/gnome/help/*
%{sysconfdir}/CORBA/servers/*
